/*
 *   kgoodstuff - a button bar a la FvwmButtons for KDE
 *   Copyright (C) 1998  Juergen Vigna
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef PreferencesGlob_included
#define PreferencesGlob_included

#include "prefglobdata.h"

class PreferencesGlob : public PreferencesGlobData
{
    Q_OBJECT

public:

    PreferencesGlob
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~PreferencesGlob();
    void setPrefs(const char *iconpath, const char *maxxy, const char *minxy,
                  const char *posx, const char *posy, bool or, int nc,
                  int eraise, int llower);
    const char *getIconPath();
    const char *getMaxXY();
    const char *getMinXY();
    const char *getPosX();
    const char *getPosY();
    bool getHOrient();
    int getERaise();
    int getLLower();
    int getNColumns();
    void setPos(QLabel *lab, QLineEdit *le);
    QButton *pokButton;

protected slots:
    void okButtonCB();
    void applyButtonCB();
    void toggledHOrient(bool flag);

protected:
    void setLabelRC();

signals:
    void okButtonPressed();
};
#endif // PreferencesGlob_included
